/* WGStandardOptionController.h created by epeyton on Wed 18-Aug-1999 */

#import <AppKit/AppKit.h>
#import "WGOptionController.h"

@interface WGStandardOptionController : NSObject <WGOptionController>
{
    id 		urlTextField;
    id 		outputDirectoryTextField;
    id		authenticateCheckBox;
    id		authUserID;
    id		authPassword;
    id		emailAddressTextField;
    id		userAgentTextField;
    
    id		modePopUpButton;
    id		urlStrategyPopUpButton;
    
    id		rewriteLinksCheckBox;
    id		ignoreRobotsCheckBox;
    id		stayOnSiteCheckBox;
    id		stayInDirectoryCheckBox;
    id		removeOldFilesCheckBox;
    id		displayTimesCheckBox;
    
    id 		parentController;
}

- (void)loadFromDictionary:(NSDictionary *)aDict;
- (NSDictionary *)saveDict;
- (NSArray *)optionsForRun;

- (NSArray *)urlsForRun;

- (void)openDownloadDirectory:(id)sender;

- (void)setURL:(NSString *)anUrl;

@end
